# Method: accounts.alerts.list

- [HTTP request](https://developers.google.com/adsense/management/reference/rest/v2/accounts.alerts/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/adsense/management/reference/rest/v2/accounts.alerts/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/adsense/management/reference/rest/v2/accounts.alerts/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.alerts/list#body.request_body)
- [Response body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.alerts/list#body.response_body)
  - [JSON representation](https://developers.google.com/adsense/management/reference/rest/v2/accounts.alerts/list#body.ListAlertsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/adsense/management/reference/rest/v2/accounts.alerts/list#body.aspect)
- [Alert](https://developers.google.com/adsense/management/reference/rest/v2/accounts.alerts/list#Alert)
  - [JSON representation](https://developers.google.com/adsense/management/reference/rest/v2/accounts.alerts/list#Alert.SCHEMA_REPRESENTATION)
- [Severity](https://developers.google.com/adsense/management/reference/rest/v2/accounts.alerts/list#Severity)
- [Try it!](https://developers.google.com/adsense/management/reference/rest/v2/accounts.alerts/list#try-it)

Lists all the alerts available in an account.

### HTTP request

`GET https://adsense.googleapis.com/v2/{parent=accounts/*}/alerts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account which owns the collection of alerts. Format: accounts/{account} |

### Query parameters

| Parameters ||
|---|---|
| `languageCode` | `string` The language to use for translating alert messages. If unspecified, this defaults to the user's display language. If the given language is not supported, alerts will be returned in English. The language is specified as an [IETF BCP-47 language code](https://en.wikipedia.org/wiki/IETF_language_tag). |

### Request body

The request body must be empty.

### Response body

Response definition for the alerts list rpc.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "alerts": [ { object (`https://developers.google.com/adsense/management/reference/rest/v2/accounts.alerts/list#Alert`) } ] } ``` |

| Fields ||
|---|---|
| `alerts[]` | ``object (`https://developers.google.com/adsense/management/reference/rest/v2/accounts.alerts/list#Alert`)`` The alerts returned in this list response. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/adsense`
- `
  https://www.googleapis.com/auth/adsense.readonly`

## Alert

Representation of an alert.

| JSON representation |
|---|
| ``` { "name": string, "severity": enum (`https://developers.google.com/adsense/management/reference/rest/v2/accounts.alerts/list#Severity`), "message": string, "type": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Output only. Resource name of the alert. Format: accounts/{account}/alerts/{alert} |
| `severity` | ``enum (`https://developers.google.com/adsense/management/reference/rest/v2/accounts.alerts/list#Severity`)`` Output only. Severity of this alert. |
| `message` | `string` Output only. The localized alert message. This may contain HTML markup, such as phrase elements or links. |
| `type` | `string` Output only. Type of alert. This identifies the broad type of this alert, and provides a stable machine-readable identifier that will not be translated. For example, "payment-hold". |

## Severity

Severity of an alert.

| Enums ||
|---|---|
| `SEVERITY_UNSPECIFIED` | Unspecified severity. |
| `INFO` | Info. |
| `WARNING` | Warning. |
| `SEVERE` | Severe. |